Last Comment Bug 573580 - ALT-RETURN (enter) should be equivalent to RETURN when operating on a blank tab
: ALT-RETURN (enter) should be equivalent to RETURN when operating on a blank tab
Status: RESOLVED FIXED
fixed by bug 596485
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: x86 All
: -- minor (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Dão Gottwald [:dao]
Mentors:
Depends on: 320989 596485
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 14:53 PDT by mdinger.bugzilla@gmail.com
Modified: 2011-09-11 18:58 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description mdinger.bugzilla@gmail.com 2010-06-21 14:53:52 PDT
Steps to reproduce:

1. Open new tab: CTRL-T.
2. Type in address bar: "www.google.com".
3. Hit ALT-RETURN.

Result:
A blank tab is left open.


A pretty minor issue but it might be worth changing.  It could also be done by automatically closing the blank tab.
Comment 1 Frank Yan (:fryn) 2010-07-16 22:01:45 PDT
Modifying the Return key action with the Alt key is a deliberate decision by the user, indicating that the user wishes to open the url in a new tab. Changing this behavior for blank tabs breaks the consistency of the user interface, which is a key user experience principle.
Comment 2 Dão Gottwald [:dao] 2010-07-17 00:47:50 PDT
bug 320989 will fix this.
Comment 3 mdinger.bugzilla@gmail.com 2011-09-11 18:53:11 PDT
This is fixed now so I will mark WORKSFORME.  Checked with 9.0a1 because I didn't see a latest mozilla central.

Mozilla/5.0 (X11; Linux i686; rv:6.0.2) Gecko/20100101 Firefox/6.0.2
Mozilla/5.0 (X11; Linux i686; rv:9.0a1) Gecko/20110911 Firefox/9.0a1

Note You need to log in before you can comment on or make changes to this bug.